summaryrefslogtreecommitdiff
path: root/deploy-doc.sh
diff options
context:
space:
mode:
authorDerick Montague <derick.montague@ibm.com>2020-01-03 17:36:20 +0300
committerYoshie Muranaka <yoshiemuranaka@gmail.com>2020-01-29 01:18:05 +0300
commitaae4312c3c535253b2d5db7a75503f0237ae423e (patch)
tree83967ba91a1ff7d2f0909ce08029f2c2c7425c68 /deploy-doc.sh
parent996d2d57be172fd36952ec7d679e411565cac013 (diff)
downloadwebui-vue-aae4312c3c535253b2d5db7a75503f0237ae423e.tar.xz
Add coding guidelines and component documentation
- Add deploy script to create and deploy dist file to gh-pages branch - Update README to include instructions on documentation development and deployment - Update vue and vue-template-compiler to be compatible with vuepress - Set vue-date-fns to use specific version - Add shell pages to be completed later Signed-off-by: Derick Montague <derick.montague@ibm.com> Change-Id: I2fdae06d53c298d45f7a638e8875717a47050dbf
Diffstat (limited to 'deploy-doc.sh')
-rw-r--r--deploy-doc.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/deploy-doc.sh b/deploy-doc.sh
new file mode 100644
index 00000000..c485b77a
--- /dev/null
+++ b/deploy-doc.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env sh
+# This is the script to deploy documentation only
+
+# abort on errors
+set -e
+
+# build
+npm run docs:build
+
+# navigate into the build output directory
+cd docs/.vuepress/dist
+
+git init
+git add -A
+git commit -m 'deploy'
+
+# push to gh-pages repo
+git push -f git@github.com:openbmc/webui-vue.git master:gh-pages
+cd - \ No newline at end of file